# $Revision: 1.43 $, $Date: 2008/07/27 22:35:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Games
%define		pnam	WordFind
Summary:	Games::WordFind - class for generating "word find" type puzzles
Summary(pl.UTF-8):	Games::WordFind - klasa do generowania układanek słownych
Name:		perl-Games-WordFind
Version:	0.02
Release:	15
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	28bfa49532f2a49fd455fbd3b9afeb9e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Games::WordFind Perl module simply provides a class which can be used
to generate "word find" type puzzles.

%description -l pl.UTF-8
Games::WordFind udostępnia klasę do generowania układanek słownych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Games/WordFind.pm
%dir %{perl_vendorlib}/auto/Games
# empty autosplit.ix
#%dir %{perl_vendorlib}/auto/Games/WordFind
#%%{perl_vendorlib}/auto/Games/WordFind/autosplit.ix
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Games-WordFind.spec,v $
Revision 1.43  2008/07/27 22:35:19  arekm
- release 15

Revision 1.42  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.40  2004/11/03 22:30:23  paladine
- formatting

Revision 1.39  2004/06/05 18:10:39  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.38  2004/05/07 01:07:03  ankry
- rel. 14

Revision 1.37  2004/05/06 18:09:38  ankry
- fixed perl-devel BR

Revision 1.36  2004/04/25 00:50:54  ankry
- cosmetics: unification

Revision 1.35  2004/04/21 19:22:47  ankry
- summary/desc

Revision 1.34  2004/04/21 08:59:40  ankry
- license fixes/unification

Revision 1.33  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.32  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.31  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:48  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/28 10:08:22  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.24  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:32:40  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/09/19 12:43:07  ankry
- added tests on bcond
- removed empty autosplit.ix
- release 12

Revision 1.21  2002/07/27 21:34:48  ankry
- autosplit.ix (and necessary dirs) is back
- release 11

Revision 1.20  2002/07/18 23:58:46  ankry
- translations, cleaning
- fixed attributes in %%{_examplesdir}
- remove *.pod files
- release 2

Revision 1.19  2002/07/12 11:41:14  qboosh
- added missing dir, new %%doc, release 9

Revision 1.18  2002/07/10 08:47:24  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:40  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:15:12  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:26:27  depesz
adapterized

Revision 1.12  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:09:39  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/06 15:35:27  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
